Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Objref_TypeCode_Static.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCode_Base_Attributes.h"`
`#include "tao/Null_RefCount_Policy.h"`

Include dependency graph for Objref_TypeCode_Static.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
## Classes
class | TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy >

## Detailed Description

Id
  Objref_TypeCode_Static.h,v 1.2 2005/05/12 00:54:17 ossama Exp

Header file for static `tk_abstract_interface`, `tk_component`, `tk_home`, `tk_local_interface`, `tk_native` and `tk_objref` `CORBA::TypeCodes`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>